Interface AtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointBuilder
- All Superinterfaces:
AtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointConsumerBuilder,AtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointProducerBuilder,org.apache.camel.builder.EndpointConsumerBuilder,org.apache.camel.EndpointConsumerResolver,org.apache.camel.builder.EndpointProducerBuilder,org.apache.camel.EndpointProducerResolver
- Enclosing interface:
- AtmosphereWebsocketEndpointBuilderFactory
public static interface AtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointBuilder
extends AtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointConsumerBuilder, AtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointProducerBuilder
Builder for endpoint for the Atmosphere Websocket component.
-
Method Summary
Modifier and TypeMethodDescriptionadvanced()chunked(boolean chunked) If this option is false the Servlet will disable the HTTP streaming and set the content-length header on the response.If this option is false the Servlet will disable the HTTP streaming and set the content-length header on the response.disableStreamCache(boolean disableStreamCache) Determines whether or not the raw input stream from Servlet is cached or not (Camel will read the stream into a in memory/overflow to file, Stream caching) cache.disableStreamCache(String disableStreamCache) Determines whether or not the raw input stream from Servlet is cached or not (Camel will read the stream into a in memory/overflow to file, Stream caching) cache.sendToAll(boolean sendToAll) Whether to send to all (broadcast) or send to a single receiver.Whether to send to all (broadcast) or send to a single receiver.transferException(boolean transferException) If enabled and an Exchange failed processing on the consumer side, and if the caused Exception was send back serialized in the response as a application/x-java-serialized-object content type.transferException(String transferException) If enabled and an Exchange failed processing on the consumer side, and if the caused Exception was send back serialized in the response as a application/x-java-serialized-object content type.useStreaming(boolean useStreaming) To enable streaming to send data as multiple text fragments.useStreaming(String useStreaming) To enable streaming to send data as multiple text fragments.Methods inherited from interface org.apache.camel.builder.endpoint.dsl.AtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointConsumerBuilder
async, async, httpMethodRestrict, matchOnUriPrefix, matchOnUriPrefix, muteException, muteException, responseBufferSize, responseBufferSize, servletNameMethods inherited from interface org.apache.camel.builder.endpoint.dsl.AtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointProducerBuilder
bridgeEndpoint, bridgeEndpointMethods inherited from interface org.apache.camel.builder.EndpointConsumerBuilder
doSetMultiValueProperties, doSetMultiValueProperty, doSetProperty, expr, getRawUri, getUriMethods inherited from interface org.apache.camel.EndpointConsumerResolver
resolve, resolveMethods inherited from interface org.apache.camel.builder.EndpointProducerBuilder
doSetMultiValueProperties, doSetMultiValueProperty, doSetProperty, expr, getRawUri, getUriMethods inherited from interface org.apache.camel.EndpointProducerResolver
resolve, resolve
-
Method Details
-
advanced
default AtmosphereWebsocketEndpointBuilderFactory.AdvancedAtmosphereWebsocketEndpointBuilder advanced()- Specified by:
advancedin interfaceAtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointConsumerBuilder- Specified by:
advancedin interfaceAtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointProducerBuilder
-
chunked
default AtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointBuilder chunked(boolean chunked) If this option is false the Servlet will disable the HTTP streaming and set the content-length header on the response. The option is a: <code>boolean</code> type. Default: true Group: common- Specified by:
chunkedin interfaceAtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointConsumerBuilder- Specified by:
chunkedin interfaceAtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointProducerBuilder- Parameters:
chunked- the value to set- Returns:
- the dsl builder
-
chunked
default AtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointBuilder chunked(String chunked) If this option is false the Servlet will disable the HTTP streaming and set the content-length header on the response. The option will be converted to a <code>boolean</code> type. Default: true Group: common- Specified by:
chunkedin interfaceAtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointConsumerBuilder- Specified by:
chunkedin interfaceAtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointProducerBuilder- Parameters:
chunked- the value to set- Returns:
- the dsl builder
-
disableStreamCache
default AtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointBuilder disableStreamCache(boolean disableStreamCache) Determines whether or not the raw input stream from Servlet is cached or not (Camel will read the stream into a in memory/overflow to file, Stream caching) cache. By default Camel will cache the Servlet input stream to support reading it multiple times to ensure it Camel can retrieve all data from the stream. However you can set this option to true when you for example need to access the raw stream, such as streaming it directly to a file or other persistent store. DefaultHttpBinding will copy the request input stream into a stream cache and put it into message body if this option is false to support reading the stream multiple times. If you use Servlet to bridge/proxy an endpoint then consider enabling this option to improve performance, in case you do not need to read the message payload multiple times. The http producer will by default cache the response body stream. If setting this option to true, then the producers will not cache the response body stream but use the response stream as-is as the message body. The option is a: <code>boolean</code> type. Default: false Group: common- Specified by:
disableStreamCachein interfaceAtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointConsumerBuilder- Specified by:
disableStreamCachein interfaceAtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointProducerBuilder- Parameters:
disableStreamCache- the value to set- Returns:
- the dsl builder
-
disableStreamCache
default AtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointBuilder disableStreamCache(String disableStreamCache) Determines whether or not the raw input stream from Servlet is cached or not (Camel will read the stream into a in memory/overflow to file, Stream caching) cache. By default Camel will cache the Servlet input stream to support reading it multiple times to ensure it Camel can retrieve all data from the stream. However you can set this option to true when you for example need to access the raw stream, such as streaming it directly to a file or other persistent store. DefaultHttpBinding will copy the request input stream into a stream cache and put it into message body if this option is false to support reading the stream multiple times. If you use Servlet to bridge/proxy an endpoint then consider enabling this option to improve performance, in case you do not need to read the message payload multiple times. The http producer will by default cache the response body stream. If setting this option to true, then the producers will not cache the response body stream but use the response stream as-is as the message body. The option will be converted to a <code>boolean</code> type. Default: false Group: common- Specified by:
disableStreamCachein interfaceAtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointConsumerBuilder- Specified by:
disableStreamCachein interfaceAtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointProducerBuilder- Parameters:
disableStreamCache- the value to set- Returns:
- the dsl builder
-
sendToAll
default AtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointBuilder sendToAll(boolean sendToAll) Whether to send to all (broadcast) or send to a single receiver. The option is a: <code>boolean</code> type. Default: false Group: common- Specified by:
sendToAllin interfaceAtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointConsumerBuilder- Specified by:
sendToAllin interfaceAtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointProducerBuilder- Parameters:
sendToAll- the value to set- Returns:
- the dsl builder
-
sendToAll
default AtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointBuilder sendToAll(String sendToAll) Whether to send to all (broadcast) or send to a single receiver. The option will be converted to a <code>boolean</code> type. Default: false Group: common- Specified by:
sendToAllin interfaceAtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointConsumerBuilder- Specified by:
sendToAllin interfaceAtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointProducerBuilder- Parameters:
sendToAll- the value to set- Returns:
- the dsl builder
-
transferException
default AtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointBuilder transferException(boolean transferException) If enabled and an Exchange failed processing on the consumer side, and if the caused Exception was send back serialized in the response as a application/x-java-serialized-object content type. On the producer side the exception will be deserialized and thrown as is, instead of the HttpOperationFailedException. The caused exception is required to be serialized. This is by default turned off. If you enable this then be aware that Java will deserialize the incoming data from the request to Java and that can be a potential security risk. The option is a: <code>boolean</code> type. Default: false Group: common- Specified by:
transferExceptionin interfaceAtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointConsumerBuilder- Specified by:
transferExceptionin interfaceAtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointProducerBuilder- Parameters:
transferException- the value to set- Returns:
- the dsl builder
-
transferException
default AtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointBuilder transferException(String transferException) If enabled and an Exchange failed processing on the consumer side, and if the caused Exception was send back serialized in the response as a application/x-java-serialized-object content type. On the producer side the exception will be deserialized and thrown as is, instead of the HttpOperationFailedException. The caused exception is required to be serialized. This is by default turned off. If you enable this then be aware that Java will deserialize the incoming data from the request to Java and that can be a potential security risk. The option will be converted to a <code>boolean</code> type. Default: false Group: common- Specified by:
transferExceptionin interfaceAtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointConsumerBuilder- Specified by:
transferExceptionin interfaceAtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointProducerBuilder- Parameters:
transferException- the value to set- Returns:
- the dsl builder
-
useStreaming
default AtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointBuilder useStreaming(boolean useStreaming) To enable streaming to send data as multiple text fragments. The option is a: <code>boolean</code> type. Default: false Group: common- Specified by:
useStreamingin interfaceAtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointConsumerBuilder- Specified by:
useStreamingin interfaceAtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointProducerBuilder- Parameters:
useStreaming- the value to set- Returns:
- the dsl builder
-
useStreaming
default AtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointBuilder useStreaming(String useStreaming) To enable streaming to send data as multiple text fragments. The option will be converted to a <code>boolean</code> type. Default: false Group: common- Specified by:
useStreamingin interfaceAtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointConsumerBuilder- Specified by:
useStreamingin interfaceAtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointProducerBuilder- Parameters:
useStreaming- the value to set- Returns:
- the dsl builder
-